Index: admin/plugins.php
===================================================================
--- admin/plugins.php	(revision 3731)
+++ admin/plugins.php	(revision 3874)
@@ -10,5 +10,5 @@
 require dirname(__FILE__) . '/../inc/admin/prepend.php';
 
-dcPage::check('admin');
+dcPage::checkSuper();
 
 # -- Page helper --
@@ -16,5 +16,6 @@
     $core->plugins,
     DC_PLUGINS_ROOT,
-    $core->blog->settings->system->store_plugin_url
+    $core->blog->settings->system->store_plugin_url,
+    !empty($_GET['nocache'])
 );
 
@@ -22,5 +23,5 @@
 adminModulesList::$distributed_modules = explode(',', DC_DISTRIB_PLUGINS);
 
-if ($core->plugins->disableDepModules($core->adminurl->get('admin.plugins', array()))) {
+if ($core->plugins->disableDepModules($core->adminurl->get('admin.plugins', []))) {
     exit;
 }
@@ -42,9 +43,9 @@
 
         dcPage::breadcrumb(
-            array(
+            [
                 html::escapeHTML($core->blog->name)                                  => '',
                 __('Plugins management')                                             => $list->getURL('', false),
                 '<span class="page-title">' . __('Plugin configuration') . '</span>' => ''
-            ))
+            ])
     );
 
@@ -81,8 +82,8 @@
 
     dcPage::breadcrumb(
-        array(
+        [
             __('System')             => '',
             __('Plugins management') => ''
-        ))
+        ])
 );
 
@@ -115,4 +116,10 @@
 # -- Display modules lists --
 if ($core->auth->isSuperAdmin()) {
+
+    if (!$core->error->flag()) {
+        if (!empty($_GET['nocache'])) {
+            dcPage::success(__('Manual checking of plugins update done successfully.'));
+        }
+    }
 
     # Updated modules from repo
@@ -132,6 +139,6 @@
             ->setModules($modules)
             ->displayModules(
-                /*cols */array('checkbox', 'icon', 'name', 'version', 'current_version', 'desc'),
-                /* actions */array('update')
+                /*cols */['checkbox', 'icon', 'name', 'version', 'current_version', 'desc'],
+                /* actions */['update']
             );
 
@@ -144,4 +151,10 @@
 
             '</div>';
+    } else {
+        echo
+        '<form action="' . $list->getURL('', false) . '" method="get">' .
+        '<p><input type="hidden" name="nocache" value="1" />' .
+        '<input type="submit" value="' . __('Force checking update of plugins') . '" /></p>' .
+            '</form>';
     }
 }
@@ -163,6 +176,6 @@
         ->setModules($modules)
         ->displayModules(
-            /* cols */array('expander', 'icon', 'name', 'version', 'desc', 'distrib', 'deps'),
-            /* actions */array('deactivate', 'delete', 'behavior')
+            /* cols */['expander', 'icon', 'name', 'version', 'desc', 'distrib', 'deps'],
+            /* actions */['deactivate', 'delete', 'behavior']
         );
 }
@@ -181,6 +194,6 @@
             ->setModules($modules)
             ->displayModules(
-                /* cols */array('expander', 'icon', 'name', 'version', 'desc', 'distrib'),
-                /* actions */array('activate', 'delete')
+                /* cols */['expander', 'icon', 'name', 'version', 'desc', 'distrib'],
+                /* actions */['activate', 'delete']
             );
     }
@@ -208,6 +221,6 @@
             ->displayIndex()
             ->displayModules(
-                /* cols */array('expander', 'name', 'score', 'version', 'desc', 'deps'),
-                /* actions */array('install'),
+                /* cols */['expander', 'name', 'score', 'version', 'desc', 'deps'],
+                /* actions */['install'],
                 /* nav limit */true
             );
Index: admin/popup_link.php
===================================================================
--- admin/popup_link.php	(revision 3731)
+++ admin/popup_link.php	(revision 3874)
@@ -22,5 +22,5 @@
 
 # Languages combo
-$rs         = $core->blog->getLangs(array('order' => 'asc'));
+$rs         = $core->blog->getLangs(['order' => 'asc']);
 $lang_combo = dcAdminCombos::getLangsCombo($rs, true);
 
@@ -28,8 +28,8 @@
 '<form id="link-insert-form" action="#" method="get">' .
 '<p><label class="required" for="href"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Link URL:') . '</label> ' .
-form::field('href', 35, 512, array(
+form::field('href', 35, 512, [
     'default'    => html::escapeHTML($href),
     'extra_html' => 'required placeholder="' . __('URL') . '"'
-)) .
+]) .
 '</p>' .
 '<p><label for="title">' . __('Link title:') . '</label> ' .
Index: admin/popup_posts.php
===================================================================
--- admin/popup_posts.php	(revision 3731)
+++ admin/popup_posts.php	(revision 3874)
@@ -28,6 +28,6 @@
 }
 
-$params               = array();
-$params['limit']      = array((($page - 1) * $nb_per_page), $nb_per_page);
+$params               = [];
+$params['limit']      = [(($page - 1) * $nb_per_page), $nb_per_page];
 $params['no_content'] = true;
 $params['order']      = 'post_dt DESC';
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 3771)
+++ admin/post.php	(revision 3878)
@@ -38,6 +38,6 @@
 $can_delete    = false;
 
-$post_headlink = '<link rel="%s" title="%s" href="' . $core->adminurl->get('admin.post', array('id' => "%s"), '&amp;', true) . '" />';
-$post_link     = '<a href="' . $core->adminurl->get('admin.post', array('id' => "%s"), '&amp;', true) . '" title="%s">%s</a>';
+$post_headlink = '<link rel="%s" title="%s" href="' . $core->adminurl->get('admin.post', ['id' => "%s"], '&amp;', true) . '" />';
+$post_link     = '<a href="' . $core->adminurl->get('admin.post', ['id' => "%s"], '&amp;', true) . '" title="%s">%s</a>';
 $next_link     = $prev_link     = $next_headlink     = $prev_headlink     = null;
 
@@ -58,5 +58,5 @@
 # Formats combo
 $core_formaters    = $core->getFormaters();
-$available_formats = array('' => '');
+$available_formats = ['' => ''];
 foreach ($core_formaters as $editor => $formats) {
     foreach ($formats as $format) {
@@ -66,5 +66,5 @@
 
 # Languages combo
-$rs         = $core->blog->getLangs(array('order' => 'asc'));
+$rs         = $core->blog->getLangs(['order' => 'asc']);
 $lang_combo = dcAdminCombos::getLangsCombo($rs, true);
 
@@ -147,5 +147,5 @@
 }
 
-$comments_actions_page = new dcCommentsActionsPage($core, $core->adminurl->get('admin.post'), array('id' => $post_id, '_ANCHOR' => $anchor, 'section' => $anchor));
+$comments_actions_page = new dcCommentsActionsPage($core, $core->adminurl->get('admin.post'), ['id' => $post_id, '_ANCHOR' => $anchor, 'section' => $anchor]);
 
 if ($comments_actions_page->process()) {
@@ -176,5 +176,5 @@
             $core->adminurl->redirect(
                 'admin.post',
-                array('id' => $post_id, 'tb' => '1')
+                ['id' => $post_id, 'tb' => '1']
             );
         }
@@ -298,5 +298,5 @@
             $core->adminurl->redirect(
                 'admin.post',
-                array('id' => $post_id)
+                ['id' => $post_id]
             );
         } catch (Exception $e) {
@@ -318,5 +318,5 @@
             $core->adminurl->redirect(
                 'admin.post',
-                array('id' => $return_id)
+                ['id' => $return_id]
             );
         } catch (Exception $e) {
@@ -376,10 +376,10 @@
     if ($p_edit == $c_edit) {
         $admin_post_behavior .= $core->callBehavior('adminPostEditor',
-            $p_edit, 'post', array('#post_excerpt', '#post_content', '#comment_content'), $post_format);
+            $p_edit, 'post', ['#post_excerpt', '#post_content', '#comment_content'], $post_format);
     } else {
         $admin_post_behavior .= $core->callBehavior('adminPostEditor',
-            $p_edit, 'post', array('#post_excerpt', '#post_content'), $post_format);
+            $p_edit, 'post', ['#post_excerpt', '#post_content'], $post_format);
         $admin_post_behavior .= $core->callBehavior('adminPostEditor',
-            $c_edit, 'comment', array('#comment_content'), 'xhtml');
+            $c_edit, 'comment', ['#comment_content'], 'xhtml');
     }
 }
@@ -397,12 +397,12 @@
     $next_headlink . "\n" . $prev_headlink,
     dcPage::breadcrumb(
-        array(
+        [
             html::escapeHTML($core->blog->name)         => '',
             __('Entries')                               => $core->adminurl->get("admin.posts"),
             ($post_id ? $page_title_edit : $page_title) => ''
-        ))
-    , array(
+        ])
+    , [
         'x-frame-allow' => $core->blog->url
-    )
+    ]
 );
 
@@ -488,5 +488,5 @@
     '<th>' . __('Edit') . '</th>' .
         '</tr>';
-    $comments = array();
+    $comments = [];
     if (isset($_REQUEST['comments'])) {
         foreach ($_REQUEST['comments'] as $v) {
@@ -496,36 +496,41 @@
 
     while ($rs->fetch()) {
-        $comment_url = $core->adminurl->get("admin.comment", array('id' => $rs->comment_id));
-
-        $img = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
+        $comment_url = $core->adminurl->get("admin.comment", ['id' => $rs->comment_id]);
+
+        $img       = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
+        $sts_class = '';
         switch ($rs->comment_status) {
             case 1:
                 $img_status = sprintf($img, __('Published'), 'check-on.png');
+                $sts_class  = 'sts-online';
                 break;
             case 0:
                 $img_status = sprintf($img, __('Unpublished'), 'check-off.png');
+                $sts_class  = 'sts-offline';
                 break;
             case -1:
                 $img_status = sprintf($img, __('Pending'), 'check-wrn.png');
+                $sts_class  = 'sts-pending';
                 break;
             case -2:
                 $img_status = sprintf($img, __('Junk'), 'junk.png');
+                $sts_class  = 'sts-junk';
                 break;
         }
 
         echo
-        '<tr class="line' . ($rs->comment_status != 1 ? ' offline' : '') . '"' .
+        '<tr class="line ' . ($rs->comment_status != 1 ? ' offline ' : '') . $sts_class . '"' .
         ' id="c' . $rs->comment_id . '">' .
 
         '<td class="nowrap">' .
-        ($has_action ? form::checkbox(array('comments[]'), $rs->comment_id,
-            array(
+        ($has_action ? form::checkbox(['comments[]'], $rs->comment_id,
+            [
                 'checked'    => isset($comments[$rs->comment_id]),
                 'extra_html' => 'title="' . ($tb ? __('select this trackback') : __('select this comment') . '"')
-            )
+            ]
         ) : '') . '</td>' .
         '<td class="maximal">' . html::escapeHTML($rs->comment_author) . '</td>' .
         '<td class="nowrap">' . dt::dt2str(__('%Y-%m-%d %H:%M'), $rs->comment_dt) . '</td>' .
-        '<td class="nowrap"><a href="' . $core->adminurl->get("admin.comments", array('ip' => $rs->comment_ip)) . '">' . $rs->comment_ip . '</a></td>' .
+        '<td class="nowrap"><a href="' . $core->adminurl->get("admin.comments", ['ip' => $rs->comment_ip]) . '">' . $rs->comment_ip . '</a></td>' .
         '<td class="nowrap status">' . $img_status . '</td>' .
         '<td class="nowrap status"><a href="' . $comment_url . '">' .
@@ -541,12 +546,12 @@
 -------------------------------------------------------- */
 if ($can_edit_post) {
-    $sidebar_items = new ArrayObject(array(
-        'status-box'  => array(
+    $sidebar_items = new ArrayObject([
+        'status-box'  => [
             'title' => __('Status'),
-            'items' => array(
+            'items' => [
                 'post_status' =>
                 '<p class="entry-status"><label for="post_status">' . __('Entry status') . ' ' . $img_status . '</label>' .
                 form::combo('post_status', $status_combo,
-                    array('default' => $post_status, 'class' => 'maximal', 'disabled' => !$can_publish)) .
+                    ['default' => $post_status, 'class' => 'maximal', 'disabled' => !$can_publish]) .
                 '</p>',
                 'post_dt'     =>
@@ -557,8 +562,8 @@
                 Dont forget to remove call to datepicker in post.js
 
-                form::datetime('post_dt', array(
+                form::datetime('post_dt', [
                 'default' => html::escapeHTML(dt::str('%Y-%m-%dT%H:%M', strtotime($post_dt))),
                 'class' => ($bad_dt ? 'invalid' : '')
-                )) .
+                ]) .
                  */
                 '</p>',
@@ -573,10 +578,10 @@
                 '<p class="format_control control_no_xhtml">' .
                 '<a id="convert-xhtml" class="button' . ($post_id && $post_format != 'wiki' ? ' hide' : '') . '" href="' .
-                $core->adminurl->get('admin.post', array('id' => $post_id, 'xconv' => '1')) .
+                $core->adminurl->get('admin.post', ['id' => $post_id, 'xconv' => '1']) .
                 '">' .
-                __('Convert to XHTML') . '</a></p></div>')),
-        'metas-box'   => array(
+                __('Convert to XHTML') . '</a></p></div>']],
+        'metas-box'   => [
             'title' => __('Filing'),
-            'items' => array(
+            'items' => [
                 'post_selected' =>
                 '<p><label for="post_selected" class="classic">' .
@@ -593,5 +598,5 @@
                     '<h5 id="create_cat">' . __('Add a new category') . '</h5>' .
                     '<p><label for="new_cat_title">' . __('Title:') . ' ' .
-                    form::field('new_cat_title', 30, 255, array('class' => 'maximal')) . '</label></p>' .
+                    form::field('new_cat_title', 30, 255, ['class' => 'maximal']) . '</label></p>' .
                     '<p><label for="new_cat_parent">' . __('Parent:') . ' ' .
                     form::combo('new_cat_parent', $categories_combo, '', 'maximal') .
@@ -599,8 +604,8 @@
                     '</div>'
                     : '') .
-                '</div>')),
-        'options-box' => array(
+                '</div>']],
+        'options-box' => [
             'title' => __('Options'),
-            'items' => array(
+            'items' => [
                 'post_open_comment_tb' =>
                 '<div>' .
@@ -638,15 +643,15 @@
                 __('Warning: If you set the URL manually, it may conflict with another entry.') .
                 '</p></div>'
-            ))));
-
-    $main_items = new ArrayObject(array(
+            ]]]);
+
+    $main_items = new ArrayObject([
         "post_title"   =>
         '<p class="col">' .
         '<label class="required no-margin bold" for="post_title"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Title:') . '</label>' .
-        form::field('post_title', 20, 255, array(
+        form::field('post_title', 20, 255, [
             'default'    => html::escapeHTML($post_title),
             'class'      => 'maximal',
             'extra_html' => 'required placeholder="' . __('Title') . '"'
-        )) .
+        ]) .
         '</p>',
 
@@ -661,8 +666,8 @@
         'for="post_content"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Content:') . '</label> ' .
         form::textarea('post_content', 50, $core->auth->getOption('edit_size'),
-            array(
+            [
                 'default'    => html::escapeHTML($post_content),
                 'extra_html' => 'required placeholder="' . __('Content') . '"'
-            )) .
+            ]) .
         '</p>',
 
@@ -672,5 +677,5 @@
         form::textarea('post_notes', 50, 5, html::escapeHTML($post_notes)) .
         '</p>'
-    )
+    ]
     );
 
@@ -744,7 +749,7 @@
     -------------------------------------------------------- */
 
-    $params = array('post_id' => $post_id, 'order' => 'comment_dt ASC');
-
-    $comments = $core->blog->getComments(array_merge($params, array('comment_trackback' => 0)));
+    $params = ['post_id' => $post_id, 'order' => 'comment_dt ASC'];
+
+    $comments = $core->blog->getComments(array_merge($params, ['comment_trackback' => 0]));
 
     echo
@@ -773,6 +778,6 @@
         '<p class="col right"><label for="action" class="classic">' . __('Selected comments action:') . '</label> ' .
         form::combo('action', $combo_action) .
-        form::hidden(array('section'), 'comments') .
-        form::hidden(array('id'), $post_id) .
+        form::hidden(['section'], 'comments') .
+        form::hidden(['id'], $post_id) .
         $core->formNonce() .
         '<input type="submit" value="' . __('ok') . '" /></p>' .
@@ -790,8 +795,8 @@
     '<div class="constrained">' .
     '<p><label for="comment_author" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Name:') . '</label>' .
-    form::field('comment_author', 30, 255, array(
+    form::field('comment_author', 30, 255, [
         'default'    => html::escapeHTML($core->auth->getInfo('user_cn')),
         'extra_html' => 'required placeholder="' . __('Author') . '"'
-    )) .
+    ]) .
     '</p>' .
 
@@ -806,5 +811,5 @@
     '<p class="area"><label for="comment_content" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' .
     __('Comment:') . '</label> ' .
-    form::textarea('comment_content', 50, 8, array('extra_html' => 'required placeholder="' . __('Comment') . '"')) .
+    form::textarea('comment_content', 50, 8, ['extra_html' => 'required placeholder="' . __('Comment') . '"']) .
     '</p>' .
 
@@ -824,6 +829,6 @@
     -------------------------------------------------------- */
 
-    $params     = array('post_id' => $post_id, 'order' => 'comment_dt ASC');
-    $trackbacks = $core->blog->getComments(array_merge($params, array('comment_trackback' => 1)));
+    $params     = ['post_id' => $post_id, 'order' => 'comment_dt ASC'];
+    $trackbacks = $core->blog->getComments(array_merge($params, ['comment_trackback' => 1]));
 
     # Actions combo box
@@ -860,5 +865,5 @@
         form::combo('action', $combo_action) .
         form::hidden('id', $post_id) .
-        form::hidden(array('section'), 'trackbacks') .
+        form::hidden(['section'], 'trackbacks') .
         $core->formNonce() .
         '<input type="submit" value="' . __('ok') . '" /></p>' .
@@ -875,5 +880,5 @@
         echo
         '<h3>' . __('Ping blogs') . '</h3>' .
-        '<form action="' . $core->adminurl->get("admin.post", array('id' => $post_id)) . '" id="trackback-form" method="post">' .
+        '<form action="' . $core->adminurl->get("admin.post", ['id' => $post_id]) . '" id="trackback-form" method="post">' .
         '<p><label for="tb_urls" class="area">' . __('URLs to ping:') . '</label>' .
         form::textarea('tb_urls', 60, 5, $tb_urls) .
@@ -888,5 +893,5 @@
             (empty($_GET['tb_auto']) ?
             '&nbsp;&nbsp;<a class="button" href="' .
-            $core->adminurl->get("admin.post", array('id' => $post_id, 'tb_auto' => 1, 'tb' => 1)) .
+            $core->adminurl->get("admin.post", ['id' => $post_id, 'tb_auto' => 1, 'tb' => 1]) .
             '">' . __('Auto discover ping URLs') . '</a>'
             : '') .
Index: admin/post_media.php
===================================================================
--- admin/post_media.php	(revision 3731)
+++ admin/post_media.php	(revision 3874)
@@ -19,5 +19,5 @@
     exit;
 }
-$rs = $core->blog->getPosts(array('post_id' => $post_id, 'post_type' => ''));
+$rs = $core->blog->getPosts(['post_id' => $post_id, 'post_type' => '']);
 if ($rs->isEmpty()) {
     exit;
@@ -30,5 +30,5 @@
         if (!empty($_SERVER['HTTP_X_REQUESTED_WITH'])) {
             header('Content-type: application/json');
-            echo json_encode(array('url' => $core->getPostAdminURL($rs->post_type, $post_id, false)));
+            echo json_encode(['url' => $core->getPostAdminURL($rs->post_type, $post_id, false)]);
             exit();
         } else {
Index: admin/posts.php
===================================================================
--- admin/posts.php	(revision 3745)
+++ admin/posts.php	(revision 3874)
@@ -28,5 +28,5 @@
 # Getting dates
 try {
-    $dates = $core->blog->getDates(array('type' => 'month'));
+    $dates = $core->blog->getDates(['type' => 'month']);
 } catch (Exception $e) {
     $core->error->add($e->getMessage());
@@ -44,15 +44,15 @@
 dcUtils::lexicalKeySort($users_combo);
 $users_combo = array_merge(
-    array('-' => ''),
+    ['-' => ''],
     $users_combo
 );
 
 $categories_combo = array_merge(
-    array(
+    [
         new formSelectOption('-', ''),
-        new formSelectOption(__('(No cat)'), 'NULL')),
+        new formSelectOption(__('(No cat)'), 'NULL')],
     dcAdminCombos::getCategoriesCombo($categories, false)
 );
-$categories_values = array();
+$categories_values = [];
 foreach ($categories_combo as $cat) {
     if (isset($cat->value)) {
@@ -62,46 +62,46 @@
 
 $status_combo = array_merge(
-    array('-' => ''),
+    ['-' => ''],
     dcAdminCombos::getPostStatusesCombo()
 );
 
-$selected_combo = array(
+$selected_combo = [
     '-'                => '',
     __('Selected')     => '1',
     __('Not selected') => '0'
-);
-
-$comment_combo = array(
+];
+
+$comment_combo = [
     '-'          => '',
     __('Opened') => '1',
     __('Closed') => '0'
-);
-
-$trackback_combo = array(
+];
+
+$trackback_combo = [
     '-'          => '',
     __('Opened') => '1',
     __('Closed') => '0'
-);
-
-$attachment_combo = array(
+];
+
+$attachment_combo = [
     '-'                       => '',
     __('With attachments')    => '1',
     __('Without attachments') => '0'
-);
-
-$password_combo = array(
+];
+
+$password_combo = [
     '-'                    => '',
     __('With password')    => '1',
     __('Without password') => '0'
-);
+];
 
 # Months array
 $dt_m_combo = array_merge(
-    array('-' => ''),
+    ['-' => ''],
     dcAdminCombos::getDatesCombo($dates)
 );
 
 $lang_combo = array_merge(
-    array('-' => ''),
+    ['-' => ''],
     dcAdminCombos::getLangsCombo($langs, false)
 );
@@ -109,5 +109,5 @@
 # Post formats
 $core_formaters    = $core->getFormaters();
-$available_formats = array();
+$available_formats = [];
 foreach ($core_formaters as $editor => $formats) {
     foreach ($formats as $format) {
@@ -116,9 +116,9 @@
 }
 $format_combo = array_merge(
-    array('-' => ''),
+    ['-' => ''],
     $available_formats
 );
 
-$sortby_combo = array(
+$sortby_combo = [
     __('Date')                 => 'post_dt',
     __('Title')                => 'post_title',
@@ -129,16 +129,16 @@
     __('Number of comments')   => 'nb_comment',
     __('Number of trackbacks') => 'nb_trackback'
-);
-
-$sortby_lex = array(
+];
+
+$sortby_lex = [
     // key in sorty_combo (see above) => field in SQL request
     'post_title' => 'post_title',
     'cat_title'  => 'cat_title',
-    'user_id'    => 'P.user_id');
-
-$order_combo = array(
+    'user_id'    => 'P.user_id'];
+
+$order_combo = [
     __('Descending') => 'desc',
     __('Ascending')  => 'asc'
-);
+];
 
 # Actions combo box
@@ -178,5 +178,5 @@
 }
 
-$params['limit']      = array((($page - 1) * $nb_per_page), $nb_per_page);
+$params['limit']      = [(($page - 1) * $nb_per_page), $nb_per_page];
 $params['no_content'] = true;
 $params['where']      = '';
@@ -308,8 +308,8 @@
     dcPage::jsLoad('js/_posts_list.js') . dcPage::jsFilterControl($show_filters),
     dcPage::breadcrumb(
-        array(
+        [
             html::escapeHTML($core->blog->name) => '',
             __('Entries')                       => ''
-        ))
+        ])
 );
 if (!empty($_GET['upd'])) {
@@ -382,18 +382,18 @@
         form::combo('action', $posts_actions_page->getCombo()) .
         '<input id="do-action" type="submit" value="' . __('ok') . '" disabled /></p>' .
-        form::hidden(array('user_id'), $user_id) .
-        form::hidden(array('cat_id'), $cat_id) .
-        form::hidden(array('status'), $status) .
-        form::hidden(array('password'), $password) .
-        form::hidden(array('selected'), $selected) .
-        form::hidden(array('comment'), $comment) .
-        form::hidden(array('trackback'), $trackback) .
-        form::hidden(array('attachment'), $attachment) .
-        form::hidden(array('month'), $month) .
-        form::hidden(array('lang'), $lang) .
-        form::hidden(array('sortby'), $sortby) .
-        form::hidden(array('order'), $order) .
-        form::hidden(array('page'), $page) .
-        form::hidden(array('nb'), $nb_per_page) .
+        form::hidden(['user_id'], $user_id) .
+        form::hidden(['cat_id'], $cat_id) .
+        form::hidden(['status'], $status) .
+        form::hidden(['password'], $password) .
+        form::hidden(['selected'], $selected) .
+        form::hidden(['comment'], $comment) .
+        form::hidden(['trackback'], $trackback) .
+        form::hidden(['attachment'], $attachment) .
+        form::hidden(['month'], $month) .
+        form::hidden(['lang'], $lang) .
+        form::hidden(['sortby'], $sortby) .
+        form::hidden(['order'], $order) .
+        form::hidden(['page'], $page) .
+        form::hidden(['nb'], $nb_per_page) .
         $core->formNonce() .
         '</div>' .
Index: admin/posts_actions.php
===================================================================
--- admin/posts_actions.php	(revision 3731)
+++ admin/posts_actions.php	(revision 3874)
@@ -26,5 +26,5 @@
 } else {
     $uri  = $core->adminurl->get("admin.posts");
-    $args = array();
+    $args = [];
 }
 
